import { SimpleContentView } from "./SimpleContent.js";
import LayoutViewBase from "../LayoutViewBase.js";
export class SimpleLayoutView extends LayoutViewBase {
    template() {
        return `
            <div class="-feature-blend-layout-simple">
                <div role="contents"></div>
            </div>
        `;
    }
    onLoadModel() {
        this.m_content = new SimpleContentView({
            insertAt: "[role=contents]",
            source: this.source
        });
        this.controls.add(this.m_content);
    }
}
